<?php
/* * 
 * 功能：支付宝页面跳转同步通知页面
 * 版本：3.3
 * 日期：2012-07-23
 * 说明：
 * 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
 * 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。

 *************************页面功能说明*************************
 * 该页面可在本机电脑测试
 * 可放入HTML等美化页面的代码、商户业务逻辑程序代码
 * 该页面可以使用PHP开发工具调试，也可以使用写文本函数logResult，该函数已被默认关闭，见alipay_notify_class.php中的函数verifyReturn
 */

require 'common.php';
require_once(SYSTEM_ROOT."alipay/alipay.config.php");
require_once(SYSTEM_ROOT."alipay/alipay_notify.class.php");

//计算得出通知验证结果
$alipayNotify = new AlipayNotify($alipay_config);

$verify_result = $alipayNotify->verifyReturn();

if($verify_result && $conf['alipay_api']==1) {
	//商户订单号

	$out_trade_no = daddslashes($_GET['out_trade_no']);

	//支付宝交易号

	$trade_no = $_GET['trade_no'];

	//交易状态
	$trade_status = $_GET['trade_status'];
	$srow=$DB->query("SELECT * FROM `wcms_order` WHERE `order_no`='{$out_trade_no}' limit 1 for update")->fetch();

    if($_GET['trade_status'] == 'TRADE_FINISHED' || $_GET['trade_status'] == 'TRADE_SUCCESS') {
		if($srow['status']==0){
			$DB->query("update `wcms_order` set `status` ='1' where `order_no`='{$out_trade_no}'")->fetch();
			//增加余额
          	//充值的金额 $srow['money']
          	//用户的余额 $userrow['money']
          	//用户充值后的余额 $user['money'] = $userrow['money']+$srow['money'];
          
          	//查询到充值的用户
            $user=$DB->query("SELECT * FROM `wcms_user` WHERE `uid`='{$srow['uid']}' limit 1")->fetch();
            $user['money'] = $user['money']+$srow['money'];
          
            $DB->query("update `wcms_user` set `money` ='{$user['money']}' where `uid`='{$user['uid']}'")->fetch();
          	
			showalert('充值成功,请查看余额！');
		}else{
          
			showalert('充值成功,请查看余额！');
		}
    }
    else {
      echo "trade_status=".$_GET['trade_status'];
    }
}
else {
    //验证失败

	showalert('验证失败！');
}
?>